## Get all counters

### cURL

```
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/inventory/counter \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://prod01.oms.fabric.inc/api/v2/inventory/counter"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/inventory/counter', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Possible Responses

- **200**: OK
- **400**: Invalid request payload or parameter
- **404**: Resource not found. If the issue persists please contact support@fabric.inc.
- **500**: An internal error occurred. If the issue persists please contact support@fabric.inc.

### Sample Response
```
[
  {
    "id": "622786ae0bdb19221a24fb61",
    "name": "On Hand",
    "code": "on-hand"
  }
]
```

### Authorization

- **Authorization**: string, required. Bearer authentication header of the form `Bearer <token>`.

### Headers

- **x-site-context**: string, required. A JSON object containing source information, including `account`, `channel`, `stage`, and `date` attributes.
